<?php
/**
 * @file
 * popsu_colloques.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_colloques_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'colloques';
  $view->description = 'Liste des publications';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Colloques';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relation: Contenu : Termes de taxonomie du nœud */
  $handler->display->display_options['relationships']['term_node_tid']['id'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['table'] = 'node';
  $handler->display->display_options['relationships']['term_node_tid']['field'] = 'term_node_tid';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Critère de tri: Terme de taxonomie : Poids */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  $handler->display->display_options['sorts']['weight']['relationship'] = 'term_node_tid';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_colloque' => 'popsu_colloque',
  );

  /* Display: Tous les colloques */
  $handler = $view->new_display('page', 'Tous les colloques', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Tous les colloques';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'colloques';

  /* Display: Colloques par ville Pane */
  $handler = $view->new_display('panel_pane', 'Colloques par ville Pane', 'panel_pane_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'panels_fields';
  $handler->display->display_options['row_options']['layout'] = 'flexible:popsu_70_30_accordion';
  $handler->display->display_options['row_options']['regions'] = array(
    'nid' => 'title',
    'field_popsu_colloque_ville' => 'title',
    'edit_node' => 'left',
    'field_popsu_colloque_body' => 'left',
    'edit_node_1' => 'right',
    'view' => 'right',
    'view_1' => 'right',
    'view_2' => 'right',
    'php' => 'right',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = '';
  $handler->display->display_options['fields']['php_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php_1']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php echo drupal_get_path_alias(); ?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  /* Champ: Contenu : Sous-titre */
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['id'] = 'field_popsu_colloque_subtitle2';
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['table'] = 'field_data_field_popsu_colloque_subtitle2';
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['field'] = 'field_popsu_colloque_subtitle2';
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Ville */
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['id'] = 'field_popsu_colloque_ville';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['table'] = 'field_data_field_popsu_colloque_ville';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['field'] = 'field_popsu_colloque_ville';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['alter']['text'] = 'Colloque<br>
<span class="colloque-subtitle">[field_popsu_colloque_subtitle2]</span>';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['type'] = 'taxonomy_term_reference_plain';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier ce colloque';
  /* Champ: Contenu : Texte de présentation du colloque */
  $handler->display->display_options['fields']['field_popsu_colloque_body']['id'] = 'field_popsu_colloque_body';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['table'] = 'field_data_field_popsu_colloque_body';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['field'] = 'field_popsu_colloque_body';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['element_class'] = 'field-type-text';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node_1']['id'] = 'edit_node_1';
  $handler->display->display_options['fields']['edit_node_1']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node_1']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node_1']['label'] = '';
  $handler->display->display_options['fields']['edit_node_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node_1']['alter']['text'] = '<a href="/node/add/popsu-document/[nid]?destination=[php_1]">Ajouter un document</a>';
  $handler->display->display_options['fields']['edit_node_1']['element_class'] = 'admin-add-item admin-add-item-margin';
  $handler->display->display_options['fields']['edit_node_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node_1']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['edit_node_1']['hide_empty'] = TRUE;
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = 'Programme';
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['view']['view'] = 'documents';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid],48';
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view_1']['id'] = 'view_1';
  $handler->display->display_options['fields']['view_1']['table'] = 'views';
  $handler->display->display_options['fields']['view_1']['field'] = 'view';
  $handler->display->display_options['fields']['view_1']['label'] = 'Retranscription';
  $handler->display->display_options['fields']['view_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_1']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['view_1']['view'] = 'documents';
  $handler->display->display_options['fields']['view_1']['arguments'] = '[!nid],49';
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view_2']['id'] = 'view_2';
  $handler->display->display_options['fields']['view_2']['table'] = 'views';
  $handler->display->display_options['fields']['view_2']['field'] = 'view';
  $handler->display->display_options['fields']['view_2']['label'] = 'Dossier Traits Urbains';
  $handler->display->display_options['fields']['view_2']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_2']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['view_2']['view'] = 'documents';
  $handler->display->display_options['fields']['view_2']['arguments'] = '[!nid],50';
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<div class="border-last"></div>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Ville (field_popsu_colloque_ville) */
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['id'] = 'field_popsu_colloque_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['table'] = 'field_data_field_popsu_colloque_ville';
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['field'] = 'field_popsu_colloque_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_colloque_ville_tid']['summary_options']['items_per_page'] = '25';
  /* Filtre contextuel: Contenu : POPSU (field_popsu_colloque_popsu) */
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['id'] = 'field_popsu_colloque_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['table'] = 'field_data_field_popsu_colloque_popsu';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['field'] = 'field_popsu_colloque_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_colloque_ville_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_colloque_ville)',
    ),
    'field_popsu_colloque_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_colloque_popsu)',
    ),
  );

  /* Display: Colloques par POPSU Pane */
  $handler = $view->new_display('panel_pane', 'Colloques par POPSU Pane', 'panel_pane_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'panels_fields';
  $handler->display->display_options['row_options']['layout'] = 'flexible:popsu_70_30_accordion';
  $handler->display->display_options['row_options']['regions'] = array(
    'php_1' => 'title',
    'nid' => 'title',
    'field_popsu_colloque_ville' => 'title',
    'field_popsu_colloque_subtitle' => 'title',
    'edit_node' => 'left',
    'field_popsu_colloque_body' => 'left',
    'edit_node_1' => 'right',
    'view' => 'right',
    'view_1' => 'right',
    'view_2' => 'right',
    'php' => 'right',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relation: Contenu : Ville (field_popsu_colloque_ville) */
  $handler->display->display_options['relationships']['field_popsu_colloque_ville_tid']['id'] = 'field_popsu_colloque_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_colloque_ville_tid']['table'] = 'field_data_field_popsu_colloque_ville';
  $handler->display->display_options['relationships']['field_popsu_colloque_ville_tid']['field'] = 'field_popsu_colloque_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_colloque_ville_tid']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = '';
  $handler->display->display_options['fields']['php_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php_1']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['php_1']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['php_1']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php echo drupal_get_path_alias(); ?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  /* Champ: Contenu : Sous-titre */
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['id'] = 'field_popsu_colloque_subtitle2';
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['table'] = 'field_data_field_popsu_colloque_subtitle2';
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['field'] = 'field_popsu_colloque_subtitle2';
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_colloque_subtitle2']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Ville */
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['id'] = 'field_popsu_colloque_ville';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['table'] = 'field_data_field_popsu_colloque_ville';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['field'] = 'field_popsu_colloque_ville';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['alter']['text'] = '[field_popsu_colloque_ville]<br>
<span class="colloque-subtitle">[field_popsu_colloque_subtitle2]</span>';
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_colloque_ville']['type'] = 'taxonomy_term_reference_plain';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier ce colloque';
  /* Champ: Contenu : Texte de présentation du colloque */
  $handler->display->display_options['fields']['field_popsu_colloque_body']['id'] = 'field_popsu_colloque_body';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['table'] = 'field_data_field_popsu_colloque_body';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['field'] = 'field_popsu_colloque_body';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['element_class'] = 'field-type-text';
  $handler->display->display_options['fields']['field_popsu_colloque_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node_1']['id'] = 'edit_node_1';
  $handler->display->display_options['fields']['edit_node_1']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node_1']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node_1']['label'] = '';
  $handler->display->display_options['fields']['edit_node_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node_1']['alter']['text'] = '<a href="/node/add/popsu-document/[nid]?destination=[php_1]">Ajouter un document</a>';
  $handler->display->display_options['fields']['edit_node_1']['element_class'] = 'admin-add-item admin-add-item-margin';
  $handler->display->display_options['fields']['edit_node_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node_1']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['edit_node_1']['hide_empty'] = TRUE;
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = 'Programme';
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['view']['view'] = 'documents';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid],48';
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view_1']['id'] = 'view_1';
  $handler->display->display_options['fields']['view_1']['table'] = 'views';
  $handler->display->display_options['fields']['view_1']['field'] = 'view';
  $handler->display->display_options['fields']['view_1']['label'] = 'Retranscription';
  $handler->display->display_options['fields']['view_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_1']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['view_1']['view'] = 'documents';
  $handler->display->display_options['fields']['view_1']['arguments'] = '[!nid],49';
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view_2']['id'] = 'view_2';
  $handler->display->display_options['fields']['view_2']['table'] = 'views';
  $handler->display->display_options['fields']['view_2']['field'] = 'view';
  $handler->display->display_options['fields']['view_2']['label'] = 'Dossier Traits Urbains';
  $handler->display->display_options['fields']['view_2']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_2']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['view_2']['view'] = 'documents';
  $handler->display->display_options['fields']['view_2']['arguments'] = '[!nid],50';
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<div class="border-last"></div>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_colloque_popsu) */
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['id'] = 'field_popsu_colloque_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['table'] = 'field_data_field_popsu_colloque_popsu';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['field'] = 'field_popsu_colloque_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_colloque_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_colloque_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_colloque_popsu)',
    ),
  );
  $translatables['colloques'] = array(
    t('Master'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('terme'),
    t('Tous les colloques'),
    t('Colloques par ville Pane'),
    t('Colloque<br>
<span class="colloque-subtitle">[field_popsu_colloque_subtitle2]</span>'),
    t('Modifier ce colloque'),
    t('<a href="/node/add/popsu-document/[nid]?destination=[php_1]">Ajouter un document</a>'),
    t('Programme'),
    t('Retranscription'),
    t('Dossier Traits Urbains'),
    t('Tout'),
    t('Volets de vue'),
    t('Colloques par POPSU Pane'),
    t('terme à partir de field_popsu_colloque_ville'),
    t('[field_popsu_colloque_ville]<br>
<span class="colloque-subtitle">[field_popsu_colloque_subtitle2]</span>'),
  );
  $export['colloques'] = $view;

  return $export;
}
