<?php
/**
 * @file
 * popsu_documents.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_documents_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'documents';
  $view->description = 'Liste des documents';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Documents';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['class'] = 'document-files';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Fichier(s) joint(s)  */
  $handler->display->display_options['fields']['field_popsu_doc_files']['id'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['table'] = 'field_data_field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['field'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['text'] = '<a href="[field_popsu_doc_files]" class="documents-fichiers" target="_blank">[title]</a>';
  $handler->display->display_options['fields']['field_popsu_doc_files']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_doc_files']['type'] = 'file_url_plain';
  $handler->display->display_options['fields']['field_popsu_doc_files']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['delta_offset'] = '0';
  /* Champ: Contenu : Lien de publication */
  $handler->display->display_options['fields']['publishcontent']['id'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['table'] = 'node';
  $handler->display->display_options['fields']['publishcontent']['field'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['label'] = '';
  $handler->display->display_options['fields']['publishcontent']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['publishcontent']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['publishcontent']['unpublish'] = 'Supprimer';
  $handler->display->display_options['fields']['publishcontent']['publish'] = 'Récupérer dans la corbeille';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier';
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  /* Filtre contextuel: Contenu : Page d&#039;attache du document (field_popsu_doc_parent) */
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['id'] = 'field_popsu_doc_parent_nid';
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['table'] = 'field_data_field_popsu_doc_parent';
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['field'] = 'field_popsu_doc_parent_nid';
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_doc_parent_nid']['summary_options']['items_per_page'] = '25';
  /* Filtre contextuel: Contenu : Type de document (field_popsu_doc_type) */
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['id'] = 'field_popsu_doc_type_tid';
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['table'] = 'field_data_field_popsu_doc_type';
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['field'] = 'field_popsu_doc_type_tid';
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_doc_type_tid']['summary_options']['items_per_page'] = '25';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_document' => 'popsu_document',
  );

  /* Display: Publication - Fiche */
  $handler = $view->new_display('panel_pane', 'Publication - Fiche', 'panel_pane_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['row_class'] = 'document-files';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Fichier(s) joint(s)  */
  $handler->display->display_options['fields']['field_popsu_doc_files']['id'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['table'] = 'field_data_field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['field'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['text'] = '<a href="[field_popsu_doc_files]" class="fiche-descriptive" target="_blank">Télécharger la fiche descriptive [PDF]</a>';
  $handler->display->display_options['fields']['field_popsu_doc_files']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_doc_files']['type'] = 'file_url_plain';
  $handler->display->display_options['fields']['field_popsu_doc_files']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['delta_offset'] = '0';
  /* Champ: Contenu : Lien de publication */
  $handler->display->display_options['fields']['publishcontent']['id'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['table'] = 'node';
  $handler->display->display_options['fields']['publishcontent']['field'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['label'] = '';
  $handler->display->display_options['fields']['publishcontent']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['publishcontent']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['publishcontent']['unpublish'] = 'Supprimer';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_doc_parent_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Page d&#039;attache du document (field_popsu_doc_parent)',
    ),
    'field_popsu_doc_type_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Type de document (field_popsu_doc_type)',
    ),
  );

  /* Display: Document attaché */
  $handler = $view->new_display('panel_pane', 'Document attaché', 'panel_pane_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Documents';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_doc_parent_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Page d&#039;attache du document (field_popsu_doc_parent)',
    ),
    'field_popsu_doc_type_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Type de document (field_popsu_doc_type)',
    ),
  );

  /* Display: Ressource attachée */
  $handler = $view->new_display('panel_pane', 'Ressource attachée', 'panel_pane_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Ressources';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Origine/source de cette ressource */
  $handler->display->display_options['fields']['field_popsu_doc_source']['id'] = 'field_popsu_doc_source';
  $handler->display->display_options['fields']['field_popsu_doc_source']['table'] = 'field_data_field_popsu_doc_source';
  $handler->display->display_options['fields']['field_popsu_doc_source']['field'] = 'field_popsu_doc_source';
  $handler->display->display_options['fields']['field_popsu_doc_source']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_doc_source']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_source']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_source']['alter']['text'] = '[field_popsu_doc_source] : ';
  $handler->display->display_options['fields']['field_popsu_doc_source']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_source']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_source']['hide_empty'] = TRUE;
  /* Champ: Contenu : Fichier(s) joint(s)  */
  $handler->display->display_options['fields']['field_popsu_doc_files']['id'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['table'] = 'field_data_field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['field'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['text'] = '[field_popsu_doc_source]<a href="[field_popsu_doc_files]" class="documents-fichiers" target="_blank">[title]</a>';
  $handler->display->display_options['fields']['field_popsu_doc_files']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_doc_files']['type'] = 'file_url_plain';
  $handler->display->display_options['fields']['field_popsu_doc_files']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['delta_offset'] = '0';
  /* Champ: Contenu : Lien de publication */
  $handler->display->display_options['fields']['publishcontent']['id'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['table'] = 'node';
  $handler->display->display_options['fields']['publishcontent']['field'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['label'] = '';
  $handler->display->display_options['fields']['publishcontent']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['publishcontent']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['publishcontent']['unpublish'] = 'Supprimer';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_doc_parent_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Page d&#039;attache du document (field_popsu_doc_parent)',
    ),
    'field_popsu_doc_type_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Type de document (field_popsu_doc_type)',
    ),
  );

  /* Display: Questionnaire attaché */
  $handler = $view->new_display('panel_pane', 'Questionnaire attaché', 'panel_pane_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Questionnaires';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Origine/source de cette ressource */
  $handler->display->display_options['fields']['field_popsu_doc_source']['id'] = 'field_popsu_doc_source';
  $handler->display->display_options['fields']['field_popsu_doc_source']['table'] = 'field_data_field_popsu_doc_source';
  $handler->display->display_options['fields']['field_popsu_doc_source']['field'] = 'field_popsu_doc_source';
  $handler->display->display_options['fields']['field_popsu_doc_source']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_doc_source']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_source']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_source']['alter']['text'] = '[field_popsu_doc_source] : ';
  $handler->display->display_options['fields']['field_popsu_doc_source']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_source']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_source']['hide_empty'] = TRUE;
  /* Champ: Contenu : Fichier(s) joint(s)  */
  $handler->display->display_options['fields']['field_popsu_doc_files']['id'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['table'] = 'field_data_field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['field'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['text'] = '[field_popsu_doc_source]<a href="[field_popsu_doc_files]" class="documents-fichiers" target="_blank">[title]</a>';
  $handler->display->display_options['fields']['field_popsu_doc_files']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_doc_files']['type'] = 'file_url_plain';
  $handler->display->display_options['fields']['field_popsu_doc_files']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['delta_offset'] = '0';
  /* Champ: Contenu : Lien de publication */
  $handler->display->display_options['fields']['publishcontent']['id'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['table'] = 'node';
  $handler->display->display_options['fields']['publishcontent']['field'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['label'] = '';
  $handler->display->display_options['fields']['publishcontent']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['publishcontent']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['publishcontent']['unpublish'] = 'Supprimer';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_doc_parent_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Page d&#039;attache du document (field_popsu_doc_parent)',
    ),
    'field_popsu_doc_type_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Type de document (field_popsu_doc_type)',
    ),
  );

  /* Display: Séminaires */
  $handler = $view->new_display('panel_pane', 'Séminaires', 'panel_pane_5');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Cycle de séminaire';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Résumé du document */
  $handler->display->display_options['fields']['field_popsu_doc_body']['id'] = 'field_popsu_doc_body';
  $handler->display->display_options['fields']['field_popsu_doc_body']['table'] = 'field_data_field_popsu_doc_body';
  $handler->display->display_options['fields']['field_popsu_doc_body']['field'] = 'field_popsu_doc_body';
  $handler->display->display_options['fields']['field_popsu_doc_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_doc_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Fichier(s) joint(s)  */
  $handler->display->display_options['fields']['field_popsu_doc_files']['id'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['table'] = 'field_data_field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['field'] = 'field_popsu_doc_files';
  $handler->display->display_options['fields']['field_popsu_doc_files']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['alter']['text'] = '<span class="file">
<img class="file-icon" src="/modules/file/icons/application-pdf.png" title="application/pdf" alt="">
<a href="[field_popsu_doc_files]" class="documents-fichiers" target="_blank" type="application/pdf">Télécharger</a>
</span>';
  $handler->display->display_options['fields']['field_popsu_doc_files']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_doc_files']['type'] = 'file_url_plain';
  $handler->display->display_options['fields']['field_popsu_doc_files']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_doc_files']['delta_offset'] = '0';
  /* Champ: Contenu : Lien de publication */
  $handler->display->display_options['fields']['publishcontent']['id'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['table'] = 'node';
  $handler->display->display_options['fields']['publishcontent']['field'] = 'publishcontent';
  $handler->display->display_options['fields']['publishcontent']['label'] = '';
  $handler->display->display_options['fields']['publishcontent']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['publishcontent']['unpublish'] = 'Supprimer';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_doc_parent_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Page d&#039;attache du document (field_popsu_doc_parent)',
    ),
    'field_popsu_doc_type_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Type de document (field_popsu_doc_type)',
    ),
  );

  /* Display: Bibliographie */
  $handler = $view->new_display('panel_pane', 'Bibliographie', 'panel_pane_6');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Bibliographie';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_doc_parent_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Page d&#039;attache du document (field_popsu_doc_parent)',
    ),
    'field_popsu_doc_type_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Type de document (field_popsu_doc_type)',
    ),
  );
  $translatables['documents'] = array(
    t('Master'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('<a href="[field_popsu_doc_files]" class="documents-fichiers" target="_blank">[title]</a>'),
    t('Supprimer'),
    t('Récupérer dans la corbeille'),
    t('Modifier'),
    t('Tout'),
    t('Publication - Fiche'),
    t('<a href="[field_popsu_doc_files]" class="fiche-descriptive" target="_blank">Télécharger la fiche descriptive [PDF]</a>'),
    t('Volets de vue'),
    t('Document attaché'),
    t('Documents'),
    t('Ressource attachée'),
    t('Ressources'),
    t('[field_popsu_doc_source] : '),
    t('[field_popsu_doc_source]<a href="[field_popsu_doc_files]" class="documents-fichiers" target="_blank">[title]</a>'),
    t('Questionnaire attaché'),
    t('Questionnaires'),
    t('Séminaires'),
    t('Cycle de séminaire'),
    t('<span class="file">
<img class="file-icon" src="/modules/file/icons/application-pdf.png" title="application/pdf" alt="">
<a href="[field_popsu_doc_files]" class="documents-fichiers" target="_blank" type="application/pdf">Télécharger</a>
</span>'),
    t('Bibliographie'),
  );
  $export['documents'] = $view;

  return $export;
}
