<?php
/**
 * @file
 * popsu_position_ville.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_position_ville_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'points_villes';
  $view->description = 'Liste des points à afficher sur la carte de la page d\'accueil';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Points Villes';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['css_class'] = 'map-home';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['row_class'] = 'point-carte';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Contenu : POPSU */
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['id'] = 'field_popsu_positionville_popsu';
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['table'] = 'field_data_field_popsu_positionville_popsu';
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['field'] = 'field_popsu_positionville_popsu';
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_popsu_positionville_popsu']['separator'] = ' ';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<div id="point-nid-[nid]" class="placement-carte [field_popsu_positionville_popsu]"><span class="map-title">[title]</span></div>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_point_ville' => 'popsu_point_ville',
  );

  /* Display: POPSU Points villes pour la carte */
  $handler = $view->new_display('block', 'POPSU Points villes pour la carte', 'block_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $translatables['points_villes'] = array(
    t('Master'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('<div id="point-nid-[nid]" class="placement-carte [field_popsu_positionville_popsu]"><span class="map-title">[title]</span></div>'),
    t('POPSU Points villes pour la carte'),
  );
  $export['points_villes'] = $view;

  return $export;
}
