<?php
/**
 * @file
 * popsu_villes.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function popsu_villes_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-villes-node';
  $context->description = 'Contexte d\'un noeud de type Ville POPSU1 (feature)';
  $context->tag = 'villes-feature';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'popsu_ville' => 'popsu_ville',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
    'node_taxonomy' => array(
      'values' => array(
        1 => 1,
      ),
      'options' => array(
        'node_form' => '1',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu_block-3' => array(
          'module' => 'menu_block',
          'delta' => '3',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
        'boxes-popsu_menu_trigger' => array(
          'module' => 'boxes',
          'delta' => 'popsu_menu_trigger',
          'region' => 'sidebar_first',
          'weight' => '-9',
        ),
        'menu_block-1' => array(
          'module' => 'menu_block',
          'delta' => '1',
          'region' => 'sidebar_first',
          'weight' => '-6',
        ),
      ),
    ),
    'theme_html' => array(
      'class' => 'sidebar-double',
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte d\'un noeud de type Ville POPSU1 (feature)');
  t('villes-feature');
  $export['popsu-villes-node'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-villes-node-popsu2';
  $context->description = 'Contexte d\'un noeud de type Ville pour POPSU2 (feature)';
  $context->tag = 'villes-feature';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'popsu_ville' => 'popsu_ville',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
    'node_taxonomy' => array(
      'values' => array(
        2 => 2,
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu_block-4' => array(
          'module' => 'menu_block',
          'delta' => '4',
          'region' => 'sidebar_first',
          'weight' => '-24',
        ),
        'boxes-popsu_menu_trigger' => array(
          'module' => 'boxes',
          'delta' => 'popsu_menu_trigger',
          'region' => 'sidebar_first',
          'weight' => '-23',
        ),
        'menu_block-5' => array(
          'module' => 'menu_block',
          'delta' => '5',
          'region' => 'sidebar_first',
          'weight' => '-22',
        ),
      ),
    ),
    'theme_html' => array(
      'class' => 'sidebar-double',
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte d\'un noeud de type Ville pour POPSU2 (feature)');
  t('villes-feature');
  $export['popsu-villes-node-popsu2'] = $context;

  return $export;
}
